#!/usr/bin/python3

import sys
try:
    from l2lss.init import init
    from l2lss.clone import clone
    from l2lss.pull import pull
    from l2lss.push import push
    from l2lss.config import config
except ImportError:
    from init import init
    from clone import clone
    from pull import pull
    from push import push
    from config import config


def main(*args):
    commands = {'init': init, 'clone': clone, 'push': push, 'pull': pull, 'config': config}
    command = sys.argv[1]
    if len(sys.argv) < 2:
        print('You must provide a command.\nExiting.')
        sys.exit(1)
    elif command not in commands:
        print('Unknown command: {}.\nExiting'.format(sys.argv[1]))
        sys.exit(1)

    del sys.argv[1]
    commands[command](*sys.argv)


if __name__ == '__main__':
    main()
